# std::experimental::basic_string_view::begin, std::experimental::basic_string_view::cbegin

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr const_iterator begin() const; |  | (library fundamentals TS)
constexpr const_iterator cbegin() const; |  | (library fundamentals TS)

Returns an iterator to the first character of the view.

### Parameters

(none)

### Return value

`const_iterator` to the first character

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### See also

end cend | returns an iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/begin&oldid=91600"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template